| OpenCV 3.4.7 Open Source Computer Vision

Functions
Features2d_hal_interface

## Functions
int | hal_ni_FAST (const uchar *src_data, size_t src_step, int width, int height, uchar *keypoints_data, size_t *keypoints_count, int threshold, bool nonmax_suppression, int type)
| Detects corners using the FAST algorithm. More...
int | hal_ni_FAST_dense (const uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height, int type)
| Detects corners using the FAST algorithm, returns mask. More...
int | hal_ni_FAST_NMS (const uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height)
| Non-maximum suppression for FAST_9_16. More...

## Detailed Description

Note
  Define your functions to override default implementations:
  #undef hal_add8u
  #define hal_add8u my_add8u

## Function Documentation

## § hal_ni_FAST()

int hal_ni_FAST | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | int | width,
|  | int | height,
|  | uchar * | keypoints_data,
|  | size_t * | keypoints_count,
|  | int | threshold,
|  | bool | nonmax_suppression,
|  | int | type
| ) |  |
| inline

`#include <features2d/src/hal_replacement.hpp>`

Detects corners using the FAST algorithm.

Parameters

  src_data,src_step | Source image
  width,height | Source image dimensions
  keypoints_data | Pointer to keypoints
  keypoints_count | Count of keypoints
  threshold | Threshold for keypoint
  nonmax_suppression | Indicates if make nonmaxima suppression or not.
  type | FAST type

## § hal_ni_FAST_dense()

int hal_ni_FAST_dense | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | type
| ) |  |
| inline

`#include <features2d/src/hal_replacement.hpp>`

Detects corners using the FAST algorithm, returns mask.

Parameters

  src_data,src_step | Source image
  dst_data,dst_step | Destination mask
  width,height | Source image dimensions
  type | FAST type

## § hal_ni_FAST_NMS()

int hal_ni_FAST_NMS | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height
| ) |  |
| inline

`#include <features2d/src/hal_replacement.hpp>`

Non-maximum suppression for FAST_9_16.

Parameters

  src_data,src_step | Source mask
  dst_data,dst_step | Destination mask after NMS
  width,height | Source mask dimensions